Index: /data/trunk/levels/DefaultCampaign.oxc
===================================================================
--- /data/trunk/levels/DefaultCampaign.oxc	(revision 4900)
+++ /data/trunk/levels/DefaultCampaign.oxc	(revision 4901)
@@ -1,70 +1,71 @@
 <Campaign>
-  <name>default</name>
-  <identifier>0</identifier>
-  <description>The one and only default debug campaign</description>
-  <WorldList>
+	<name>default</name>
+	<identifier>0</identifier>
+	<description>The one and only default debug campaign</description>
+	<WorldList>
 
-    <GameMenu>
-      <identifier>0</identifier>
-      <name>GameMenu</name>
-      <path>levels/Menu.oxw</path>
-      <nextid>1</nextid>
-    </GameMenu>
+		<GameMenu>
+			<identifier>0</identifier>
+			<name>GameMenu</name>
+			<path>levels/Menu.oxw</path>
+			<nextid>1</nextid>
+		</GameMenu>
 
-    <SinglePlayerWorld>
-      <identifier>1</identifier>
-      <nextid>2</nextid>
-      <name>Moonstation</name>
-      <path>levels/sp_level_moonstation.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>1</identifier>
+			<nextid>2</nextid>
+			<name>Space Station</name>
+			<path>levels/sp_level_spacestation1.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>3</identifier>
-      <nextid>4</nextid>
-      <name>Space Station</name>
-      <path>levels/sp_level_spacestation1B.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>2</identifier>
+			<nextid>3</nextid>
+			<name>Vertical Scroller</name>
+			<path>levels/vertical_scroller.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>4</identifier>
-      <nextid>5</nextid>
-      <path>levels/vertical_scroller.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>3</identifier>
+			<nextid>4</nextid>
+			<name>Moonstation</name>
+			<path>levels/sp_level_moonstation.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
+		
+		<SinglePlayerWorld>
+			<identifier>4</identifier>
+			<nextid>0</nextid>
+			<name>Moonstation Hangar</name>
+			<path>levels/sp_level_moonstation_hangar.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>5</identifier>
-      <nextid>6</nextid>
-      <name>Moonstation Hangar</name>
-      <path>levels/sp_level_moonstation_hangar.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>5</identifier>
+			<nextid>0</nextid>
+			<name>Cut Scene</name>
+			<path>levels/sp_cutscene_intro.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>7</identifier>
-      <nextid>1</nextid>
-      <name>Cut Scene</name>
-      <path>levels/sp_cutscene_intro.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>6</identifier>
+			<nextid>0</nextid>
+			<name>Enemy Debug</name>
+			<path>levels/debug_enemy.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>7</identifier>
-      <nextid>0</nextid>
-      <name>Enemy Debug</name>
-      <path>levels/debug_enemy.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
+		<SinglePlayerWorld>
+			<identifier>7</identifier>
+			<nextid>0</nextid>
+			<name>Adm Test</name>
+			<path>levels/adm_test.oxw</path>
+			<menu-entry>1</menu-entry>
+		</SinglePlayerWorld>
 
-    <SinglePlayerWorld>
-      <identifier>1</identifier>
-      <nextid>1</nextid>
-      <name>Adm Test</name>
-      <path>levels/adm_test.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-  </WorldList>
+	</WorldList>
 </Campaign>
Index: /data/trunk/levels/sp_level_moonstation.oxw
===================================================================
--- /data/trunk/levels/sp_level_moonstation.oxw	(revision 4900)
+++ /data/trunk/levels/sp_level_moonstation.oxw	(revision 4901)
@@ -40,5 +40,5 @@
 		<name>Sky</name>
 		<Materialset>textures/sky/simple_space</Materialset>
-		<Size>5692</Size>
+		<Size>7520</Size>
 	</SkyBox>
 	
@@ -208,4 +208,30 @@
 		
 <!-- Main hall ------------------------------------------------------------ -->
+	<AdmTurret>
+		<model>models/guns/turret/turret_body.obj,10</model>
+		<list>group00</list>
+		<type>ceil</type>
+		<damageable>true</damageable>
+		<target>Player</target>
+		<abs-coor>191, 115, 70</abs-coor>
+		<Cannons>
+			<model>models/guns/turret/turret_riffle.obj,10</model>
+			<rel-coor>0, 47, 0</rel-coor>
+		</Cannons>
+
+		<Sensor>
+			<model>models/guns/turret/turret_radar.obj,10</model>
+			<rel-coor>0, 32.5, 0</rel-coor>
+		</Sensor>
+		<Weapon>
+			<Range>400</Range>
+			<SetDamage>10</SetDamage>
+			<FireRate>1</FireRate>
+			<AlwaysHits>false</AlwaysHits>
+			<addPoint>-30,1,11</addPoint>
+			<addPoint>-30,1,-11</addPoint>
+		</Weapon>
+	</AdmTurret>
+	
 	<SpriteParticles>
 		<name>str3</name>
@@ -552,6 +578,8 @@
 				<addPoint>180.627167, 755.514709, 871.833801</addPoint><!-- cam2 ship 199.251480, 611.205872, 670.132324 -->
 				<addPoint>871.084534, 629.498901, 619.159058</addPoint>
-				<addPoint>1409.606201, 668.009155, 122.551933</addPoint>
-				<addPoint>1331.963867, 562.559082, -213.602997</addPoint>
+				<!-- <addPoint>1409.606201, 668.009155, 122.551933</addPoint>
+				<addPoint>1331.963867, 562.559082, -213.602997</addPoint> -->
+				<addPoint>1160.229858, 248.129639, -396.398438</addPoint>
+				<addPoint>1210.095825, 308.348694, -414.233826</addPoint>
 				<addPoint>881.456055, 184.982635, -176.643326</addPoint>
 				<addPoint>719.431091, 79.719810, -149.023880</addPoint><!-- intro end -->
Index: /data/trunk/scripts/moonstation/intro.lua
===================================================================
--- /data/trunk/scripts/moonstation/intro.lua	(revision 4900)
+++ /data/trunk/scripts/moonstation/intro.lua	(revision 4901)
@@ -63,5 +63,5 @@
 -- globals
 introRunning = false
-spaceshipCrashDelay = 2
+spaceshipCrashDelay = 3
 boomSize = 100
 pauseBurn = 0
@@ -115,5 +115,5 @@
 	explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 10
-	if boomSize == 600 then
+	if boomSize == 650 then
 		return true
 	end