Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4907)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4908)
@@ -25,8 +25,23 @@
     </Planet>
 
+       <NPC>
+          <name>noxonShip</name>
+          <model>models/spaceships/noxon_spaceship_bomber.obj,60</model>
+          <mountpoints>models/spaceships/noxon_spaceship_bomber.oif</mountpoints>
+          <Track>
+            <mode>1</mode>
+            <speed>30</speed>
+             <addPoint>1700, 500, 1000</addPoint>
+             <addPoint>-1400, 500, 1000</addPoint>
+          </Track>
+        </NPC>
+
+
     <ActionboxEnemy>
       <name>Noxon01</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-       <abs-coor>1100.826904, 400.867111, 500.239410</abs-coor>
+      <damageable> true </damageable>
+      <list>OM_GROUP_01</list>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1100.826904, 400.867111, 500.239410</abs-coor>
       <abs-dir> 0.193116, -0.090633, -0.976817, 0.017918 </abs-dir>
     </ActionboxEnemy>
@@ -35,5 +50,7 @@
     <ActionboxEnemy>
       <name>Noxon02</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2434.496094, 269.581573, 519.548401</abs-coor>
       <abs-dir>  0.193116, -0.090633, -0.976817, 0.017918</abs-dir>
@@ -43,5 +60,7 @@
     <ActionboxEnemy>
       <name>Noxon03</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3865.079590, 105.373840, -416.046570</abs-coor>
     </ActionboxEnemy>
@@ -49,5 +68,7 @@
     <ActionboxEnemy>
       <name>Noxon04</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>536.923645,84.575851, 228.898102</abs-coor>
     </ActionboxEnemy>
@@ -55,5 +76,7 @@
     <ActionboxEnemy>
       <name>Noxon05</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor> 644.799805,184.589706, 337.864044</abs-coor>
     </ActionboxEnemy>
@@ -61,5 +84,7 @@
     <ActionboxEnemy>
       <name>Noxon06</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>793.228088,284.700226, 596.156433</abs-coor>
     </ActionboxEnemy>
@@ -67,5 +92,7 @@
     <ActionboxEnemy>
       <name>Noxon07</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>894.347168,317.342133, 652.094543</abs-coor>
     </ActionboxEnemy>
@@ -73,5 +100,7 @@
     <ActionboxEnemy>
       <name>Noxon08</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+      <list>OM_GROUP_01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2108.979980,301.262604, 613.772583</abs-coor>
     </ActionboxEnemy>
@@ -79,12 +108,16 @@
     <ActionboxEnemy>
       <name>Noxon09</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-      <abs-coor>1008.862671,400.273285, 689.841492</abs-coor>
+      <list>OM_GROUP_01</list>
+       <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1008.862671,400.273285, 589.841492</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon10</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-      <abs-coor>1308.862671,270.273285, 689.841492</abs-coor>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1308.862671,270.273285, 539.841492</abs-coor>
     </ActionboxEnemy>
 
@@ -92,11 +125,15 @@
     <ActionboxEnemy>
       <name>Noxon11</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
-      <abs-coor>1307.388672,350.411499, 720.377075</abs-coor>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1307.388672,350.411499, 650.377075</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon12</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1450.140137,347.559753, 700.013000</abs-coor>
     </ActionboxEnemy>
@@ -104,5 +141,7 @@
     <ActionboxEnemy>
       <name>Noxon13</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1600.255859,340.927307, 710.324158</abs-coor>
     </ActionboxEnemy>
@@ -110,5 +149,7 @@
     <ActionboxEnemy>
       <name>Noxon14</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2600.201172,340.927307, 461.453674 </abs-coor>
     </ActionboxEnemy>
@@ -116,5 +157,7 @@
     <ActionboxEnemy>
       <name>Noxon15</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2731.698730,238.283188, 461.453674 </abs-coor>
     </ActionboxEnemy>
@@ -122,5 +165,7 @@
     <ActionboxEnemy>
       <name>Noxon16</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2980.166016,238.283188, 297.935028</abs-coor>
     </ActionboxEnemy>
@@ -128,5 +173,7 @@
     <ActionboxEnemy>
       <name>Noxon17</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3211.986084,184.486740, 170.181870 </abs-coor>
     </ActionboxEnemy>
@@ -134,5 +181,7 @@
    <ActionboxEnemy>
       <name>Noxon18</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3283.429199,176.152039, 50.483566 </abs-coor>
     </ActionboxEnemy> 
@@ -140,10 +189,45 @@
    <ActionboxEnemy>
       <name>Noxon19</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.2</model>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>4228.668945,158.810822, 10.686630 </abs-coor>
     </ActionboxEnemy> 
 
-    <Rotor>
-      <name>meteorit01</name>
+   <ActionboxEnemy>
+      <name>Noxon20</name>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>6010, 40, -1130 </abs-coor>
+    </ActionboxEnemy> 
+
+   <ActionboxEnemy>
+      <name>Noxon21</name>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>6150, 40, -1180 </abs-coor>
+    </ActionboxEnemy> 
+
+   <ActionboxEnemy>
+      <name>Noxon22</name>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>5500, 40, -930 </abs-coor>
+    </ActionboxEnemy> 
+
+   <ActionboxEnemy>
+      <name>Noxon23</name>
+<list>OM_GROUP_01</list>
+<damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>5800, 0, -1000 </abs-coor>
+    </ActionboxEnemy> 
+
+    <Rotor>
+      <name>meteorit01</name>
+      <list>OM_COMMON</list>
       <model>models/planets/asteroid_FA48.obj, 20</model>
       <abs-coor>1395, 185, 521</abs-coor>
@@ -161,4 +245,5 @@
     <Rotor>
       <name>meteorit01</name>
+<list>OM_COMMON</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 0.388530, 34.749165 </abs-coor>
@@ -176,44 +261,61 @@
     <Rotor>
       <name>meteorit01</name>
+<list>OM_COMMON</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 80.388530, 200.749165 </abs-coor>
+      <rotation>0.5,2,-2</rotation>
+      <Size>45</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+<list>OM_COMMON</list>
+      <model>models/planets/asteroid_FA48.obj, 10</model>
+      <abs-coor> 2434.496094, 235.581573, 579.548401 </abs-coor>
       <rotation>0,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit01</name>
-      <model>models/planets/asteroid_FA48.obj, 20</model>
-      <abs-coor> 2434.496094, 275.581573, 579.548401 </abs-coor>
+      <Size>69</Size>
+    </Rotor>
+x: 2618.941650; y: 248.421066; z: 463.260559 lenght: 2671.175535
+
+    <Rotor>
+      <name>meteorit01</name>
+<list>OM_COMMON</list>
+      <model>models/planets/asteroid_FA108.obj, 25</model>
+      <abs-coor> 2600.201172, 42.351562, 581.453674 </abs-coor>
+      <rotation>0,-1,1</rotation>
+      <Size>80</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+<list>OM_COMMON</list>
+      <model>models/planets/asteroid_FA108.obj, 15</model>
+      <abs-coor> 2969.854736, 270.388530, 134.749165 </abs-coor>
+      <rotation>-0.5,0.5,0</rotation>
+      <Size>20</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+<list>OM_COMMON</list>
+      <model>models/planets/asteroid_FA108.obj, 30</model>
+      <abs-coor> 3254.629639, 159.524658, -30.349258  </abs-coor>
+      <rotation>0.5,0.5,1</rotation>
+      <Size>35</Size>
+    </Rotor>
+
+    <Rotor>
+      <name>meteorit01</name>
+<list>OM_COMMON</list>
+      <model>models/planets/asteroid_FA108.obj, 10</model>
+      <abs-coor> 1395, 515, 521 </abs-coor>
       <rotation>0,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit01</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor> 2600.201172, 202.351562, 461.453674 </abs-coor>
-      <rotation>0,-1,1</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit01</name>
-      <model>models/planets/asteroid_FA108.obj, 40</model>
-      <abs-coor> 2969.854736, 270.388530, 334.749165 </abs-coor>
-      <rotation>-0.5,0.5,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit01</name>
-      <model>models/planets/asteroid_FA108.obj, 30</model>
-      <abs-coor> 3254.629639, 159.524658, 103.349258  </abs-coor>
-      <rotation>-0.5,0.5,0</rotation>
-      <Size>100</Size>
+      <Size>10</Size>
     </Rotor>
 
     <SpaceShip>
       <name>Player</name>
+      <list>OM_GROUP_00</list>
+<damageable> true </damageable>
       <model>models/spaceships/human_assf.obj, 1.5</model>
       <mountpoints>models/spaceships/human_assf.oif</mountpoints>
@@ -229,5 +331,5 @@
         <ActionBox>45, 25, 450, 6</ActionBox>
         <mode>1</mode>
-        <speed>40</speed>
+        <speed>45</speed>
         <addPoint>0,0,0</addPoint>
         <addPoint>219.837738, -0.605457, 37.411240</addPoint>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4907)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4908)
@@ -25,5 +25,5 @@
 triggerEndLevel:setScript("vs1.lua")
 triggerEndLevel:setFunction("changeLevel")
-triggerEndLevel:setDelay(5)
+triggerEndLevel:setDelay(4)
 
 --initialisation
@@ -47,9 +47,9 @@
 	explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 4
-	if boomSize > 75 then
+	if boomSize > 50 then
  		  triggerEndLevel:start()
 		  cameraManager:toggleFade()
-		  gameWorld:showText("We have been hit...")
-		  gameWorld:showText("Initialising emergency sequence!")
+		  gameWorld:showText(":~# We have been hit...")
+		  gameWorld:showText(":~# Initialising emergency sequence!")
 		return true
 	end