Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 4908)
+++ orxonox/trunk/configure	(revision 4909)
@@ -9446,5 +9446,5 @@
 ## OUTPUT CONFIGURE ##
 ######################
-                                                                                                                                                                                              ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/graphics/spatial_separation/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile src/subprojects/gui/Makefile"
+                                                                                                                                                                                    ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/graphics/spatial_separation/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile"
 
 
@@ -10058,5 +10058,4 @@
   "src/subprojects/particles/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/particles/Makefile" ;;
   "src/subprojects/collision_detection/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/collision_detection/Makefile" ;;
-  "src/subprojects/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/gui/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 4908)
+++ orxonox/trunk/configure.ac	(revision 4909)
@@ -640,5 +640,4 @@
                  src/subprojects/particles/Makefile
                  src/subprojects/collision_detection/Makefile
-                 src/subprojects/gui/Makefile
                  ])
 
Index: orxonox/trunk/orxonox.kdevelop
===================================================================
--- orxonox/trunk/orxonox.kdevelop	(revision 4908)
+++ orxonox/trunk/orxonox.kdevelop	(revision 4909)
@@ -12,5 +12,5 @@
     <projectdirectory>.</projectdirectory>
     <absoluteprojectpath>false</absoluteprojectpath>
-    <description></description>
+    <description/>
     <secondaryLanguages>
       <language>C</language>
@@ -22,5 +22,5 @@
       <directoryradio>build</directoryradio>
       <customdirectory>/</customdirectory>
-      <programargs></programargs>
+      <programargs/>
       <terminal>false</terminal>
       <autocompile>true</autocompile>
@@ -29,5 +29,5 @@
     <build>
       <buildtool>make</buildtool>
-      <builddir></builddir>
+      <builddir/>
     </build>
     <make>
@@ -36,6 +36,6 @@
       <prio>0</prio>
       <dontact>false</dontact>
-      <makebin></makebin>
-      <makeoptions></makeoptions>
+      <makebin/>
+      <makeoptions/>
       <selectedenvironment>default</selectedenvironment>
       <environments>
@@ -46,10 +46,10 @@
   <kdevdebugger>
     <general>
-      <dbgshell></dbgshell>
-      <programargs></programargs>
-      <gdbpath></gdbpath>
-      <configGdbScript></configGdbScript>
-      <runShellScript></runShellScript>
-      <runGdbScript></runGdbScript>
+      <dbgshell/>
+      <programargs/>
+      <gdbpath/>
+      <configGdbScript/>
+      <runShellScript/>
+      <runGdbScript/>
       <breakonloadinglibs>true</breakonloadinglibs>
       <separatetty>false</separatetty>
@@ -132,5 +132,8 @@
   </kdevcppsupport>
   <kdevfileview>
-    <groups/>
+    <groups>
+      <hidenonprojectfiles>false</hidenonprojectfiles>
+      <hidenonlocation>false</hidenonlocation>
+    </groups>
     <tree>
       <hidepatterns>*.o,*.lo,*~,*in</hidepatterns>
@@ -146,7 +149,7 @@
   <kdevdocumentation>
     <projectdoc>
-      <docsystem></docsystem>
-      <docurl></docurl>
-      <usermanualurl></usermanualurl>
+      <docsystem/>
+      <docurl/>
+      <usermanualurl/>
     </projectdoc>
   </kdevdocumentation>
Index: orxonox/trunk/src/subprojects/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.am	(revision 4908)
+++ orxonox/trunk/src/subprojects/Makefile.am	(revision 4909)
@@ -2,5 +2,4 @@
           particles \
           collision_detection \
-          gui \
           testmain
 
Index: orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.in	(revision 4908)
+++ orxonox/trunk/src/subprojects/Makefile.in	(revision 4909)
@@ -170,5 +170,4 @@
           particles \
           collision_detection \
-          gui \
           testmain
 
Index: orxonox/trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- orxonox/trunk/src/world_entities/weapons/weapon_manager.cc	(revision 4908)
+++ orxonox/trunk/src/world_entities/weapons/weapon_manager.cc	(revision 4909)
@@ -262,5 +262,5 @@
   {
     w = this->configs[j].slots[i];
-    if( w != NULL && w->isVisible())
+    if( w != NULL)// && w->isVisible())
       w->draw();
   }