Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4909)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4910)
@@ -41,5 +41,5 @@
       <name>Noxon01</name>
       <damageable> true </damageable>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1100.826904, 400.867111, 500.239410</abs-coor>
@@ -50,5 +50,5 @@
     <ActionboxEnemy>
       <name>Noxon02</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -60,5 +60,5 @@
     <ActionboxEnemy>
       <name>Noxon03</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -68,5 +68,5 @@
     <ActionboxEnemy>
       <name>Noxon04</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -76,5 +76,5 @@
     <ActionboxEnemy>
       <name>Noxon05</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -84,5 +84,5 @@
     <ActionboxEnemy>
       <name>Noxon06</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -92,5 +92,5 @@
     <ActionboxEnemy>
       <name>Noxon07</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -100,5 +100,5 @@
     <ActionboxEnemy>
       <name>Noxon08</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -108,5 +108,5 @@
     <ActionboxEnemy>
       <name>Noxon09</name>
-      <list>OM_GROUP_01</list>
+      <list>group01</list>
        <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -116,5 +116,5 @@
     <ActionboxEnemy>
       <name>Noxon10</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -125,5 +125,5 @@
     <ActionboxEnemy>
       <name>Noxon11</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -133,5 +133,5 @@
     <ActionboxEnemy>
       <name>Noxon12</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -141,5 +141,5 @@
     <ActionboxEnemy>
       <name>Noxon13</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -149,5 +149,5 @@
     <ActionboxEnemy>
       <name>Noxon14</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -157,5 +157,5 @@
     <ActionboxEnemy>
       <name>Noxon15</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -165,6 +165,6 @@
     <ActionboxEnemy>
       <name>Noxon16</name>
-<list>OM_GROUP_01</list>
-<damageable> true </damageable>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2980.166016,238.283188, 297.935028</abs-coor>
@@ -173,5 +173,5 @@
     <ActionboxEnemy>
       <name>Noxon17</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -181,5 +181,5 @@
    <ActionboxEnemy>
       <name>Noxon18</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -189,5 +189,5 @@
    <ActionboxEnemy>
       <name>Noxon19</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -197,5 +197,5 @@
    <ActionboxEnemy>
       <name>Noxon20</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -205,5 +205,5 @@
    <ActionboxEnemy>
       <name>Noxon21</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -213,5 +213,5 @@
    <ActionboxEnemy>
       <name>Noxon22</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -221,5 +221,5 @@
    <ActionboxEnemy>
       <name>Noxon23</name>
-<list>OM_GROUP_01</list>
+<list>group01</list>
 <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
@@ -229,5 +229,5 @@
     <Rotor>
       <name>meteorit01</name>
-      <list>OM_COMMON</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA48.obj, 20</model>
       <abs-coor>1395, 185, 521</abs-coor>
@@ -245,5 +245,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 0.388530, 34.749165 </abs-coor>
@@ -261,5 +261,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 80.388530, 200.749165 </abs-coor>
@@ -270,5 +270,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA48.obj, 10</model>
       <abs-coor> 2434.496094, 235.581573, 579.548401 </abs-coor>
@@ -280,5 +280,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 25</model>
       <abs-coor> 2600.201172, 42.351562, 581.453674 </abs-coor>
@@ -289,5 +289,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 15</model>
       <abs-coor> 2969.854736, 270.388530, 134.749165 </abs-coor>
@@ -298,5 +298,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 30</model>
       <abs-coor> 3254.629639, 159.524658, -30.349258  </abs-coor>
@@ -307,5 +307,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>OM_COMMON</list>
+<list>common</list>
       <model>models/planets/asteroid_FA108.obj, 10</model>
       <abs-coor> 1395, 515, 521 </abs-coor>
@@ -316,5 +316,5 @@
     <SpaceShip>
       <name>Player</name>
-      <list>OM_GROUP_00</list>
+      <list>group00</list>
 <damageable> true </damageable>
       <model>models/spaceships/human_assf.obj, 1.5</model>
@@ -331,5 +331,5 @@
       <cameraFovy>90</cameraFovy>
       <Track>
-        <ActionBox>45, 25, 450, 6</ActionBox>
+        <ActionBox>45, 25, 800, 6</ActionBox>
         <mode>1</mode>
         <speed>45</speed>
Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4909)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4910)
@@ -45,5 +45,5 @@
 function explodeSpaceship(timestep)
 	explosion:setAbsCoor(Player:getAbsCoorX(),Player:getAbsCoorY(),Player:getAbsCoorZ())
-	explosion:explode(boomSize,boomSize,boomSize)
+	--explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 4
 	if boomSize > 50 then