Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4913)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4914)
@@ -27,5 +27,5 @@
        <NPC>
           <name>noxonShip</name>
-          <model>models/spaceships/noxon_spaceship_bomber.obj,60</model>
+          <model>models/spaceships/noxon_spaceship_scout.obj,60</model>
           <mountpoints>models/spaceships/noxon_spaceship_bomber.oif</mountpoints>
           <Track>
@@ -37,4 +37,16 @@
         </NPC>
 
+       <NPC>
+          <name>noxonShip</name>
+          <model>models/spaceships/human_frigate.obj,90</model>
+          <list>group01</list>
+          <Track>
+            <mode>1</mode>
+            <speed>30</speed>
+             <addPoint>2140.065430, 1005.783508, -448.141846</addPoint>
+             <addPoint>2210.238770, -603.059387, 549.632996</addPoint>
+          </Track>
+        </NPC>
+
 
     <ActionboxEnemy>
@@ -71,5 +83,5 @@
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>536.923645,84.575851, 228.898102</abs-coor>
+      <abs-coor>536.923645,284.575851, 428.898102</abs-coor>
     </ActionboxEnemy>
 
@@ -79,5 +91,5 @@
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor> 644.799805,184.589706, 337.864044</abs-coor>
+      <abs-coor> 644.799805,284.589706, 437.864044</abs-coor>
     </ActionboxEnemy>
 
@@ -111,13 +123,13 @@
        <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>1008.862671,400.273285, 589.841492</abs-coor>
+      <abs-coor>1008.862671,400.273285, 689.841492</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon10</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>1308.862671,270.273285, 539.841492</abs-coor>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1308.862671,270.273285, 639.841492</abs-coor>
     </ActionboxEnemy>
 
@@ -125,14 +137,14 @@
     <ActionboxEnemy>
       <name>Noxon11</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>1307.388672,350.411499, 650.377075</abs-coor>
+       <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1307.388672,350.411499, 750.377075</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon12</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>1450.140137,347.559753, 700.013000</abs-coor>
@@ -141,22 +153,22 @@
     <ActionboxEnemy>
       <name>Noxon13</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>1600.255859,340.927307, 710.324158</abs-coor>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>1600.255859,340.927307, 810.324158</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon14</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>2600.201172,340.927307, 461.453674 </abs-coor>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>2500.201172,340.927307, 461.453674 </abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon15</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>2731.698730,238.283188, 461.453674 </abs-coor>
@@ -168,19 +180,20 @@
       <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>2980.166016,238.283188, 297.935028</abs-coor>
+      <abs-coor>2880.166016,238.283188, 297.935028</abs-coor>
     </ActionboxEnemy>
 
     <ActionboxEnemy>
       <name>Noxon17</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>3211.986084,184.486740, 170.181870 </abs-coor>
-    </ActionboxEnemy>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>3011.986084,184.486740, 170.181870 </abs-coor>
+    </ActionboxEnemy>
+
 
    <ActionboxEnemy>
       <name>Noxon18</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>3283.429199,176.152039, 50.483566 </abs-coor>
@@ -189,14 +202,40 @@
    <ActionboxEnemy>
       <name>Noxon19</name>
-<list>group01</list>
-<damageable> true </damageable>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
-      <abs-coor>4228.668945,158.810822, 10.686630 </abs-coor>
-    </ActionboxEnemy> 
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>4228.668945,158.810822, -200.686630 </abs-coor>
+    </ActionboxEnemy> 
+
 
    <ActionboxEnemy>
       <name>Noxon20</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>3428.668945,158.810822, 10.686630 </abs-coor>
+    </ActionboxEnemy> 
+
+   <ActionboxEnemy>
+      <name>Noxon21</name>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>5028.668945,158.810822, -500.686630 </abs-coor>
+    </ActionboxEnemy> 
+
+    <ActionboxEnemy>
+      <name>Noxon17</name>
+      <list>group01</list>
+      <damageable> true </damageable>
+      <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
+      <abs-coor>5411.986084,164.486740, -600.181870 </abs-coor>
+    </ActionboxEnemy>
+
+
+   <ActionboxEnemy>
+      <name>Noxon22</name>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>6010, 40, -1130 </abs-coor>
@@ -204,7 +243,7 @@
 
    <ActionboxEnemy>
-      <name>Noxon21</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <name>Noxon23</name>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>6150, 40, -1180 </abs-coor>
@@ -212,7 +251,7 @@
 
    <ActionboxEnemy>
-      <name>Noxon22</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <name>Noxon24</name>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5500, 40, -930 </abs-coor>
@@ -220,7 +259,7 @@
 
    <ActionboxEnemy>
-      <name>Noxon23</name>
-<list>group01</list>
-<damageable> true </damageable>
+      <name>Noxon25</name>
+      <list>group01</list>
+      <damageable> true </damageable>
       <model>models/spaceships/noxon_spaceship_fighter.obj,0.8</model>
       <abs-coor>5800, 0, -1000 </abs-coor>
@@ -245,5 +284,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 0.388530, 34.749165 </abs-coor>
@@ -261,5 +300,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 20</model>
       <abs-coor> 500.248199, 80.388530, 200.749165 </abs-coor>
@@ -270,5 +309,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA48.obj, 10</model>
       <abs-coor> 2434.496094, 235.581573, 579.548401 </abs-coor>
@@ -276,9 +315,8 @@
       <Size>69</Size>
     </Rotor>
-x: 2618.941650; y: 248.421066; z: 463.260559 lenght: 2671.175535
-
-    <Rotor>
-      <name>meteorit01</name>
-<list>common</list>
+
+    <Rotor>
+      <name>meteorit01</name>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 25</model>
       <abs-coor> 2600.201172, 42.351562, 581.453674 </abs-coor>
@@ -289,5 +327,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 15</model>
       <abs-coor> 2969.854736, 270.388530, 134.749165 </abs-coor>
@@ -298,5 +336,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 30</model>
       <abs-coor> 3254.629639, 159.524658, -30.349258  </abs-coor>
@@ -307,5 +345,5 @@
     <Rotor>
       <name>meteorit01</name>
-<list>common</list>
+      <list>common</list>
       <model>models/planets/asteroid_FA108.obj, 10</model>
       <abs-coor> 1395, 515, 521 </abs-coor>
@@ -314,8 +352,10 @@
     </Rotor>
 
+
+
     <SpaceShip>
       <name>Player</name>
       <list>group00</list>
-<damageable> true </damageable>
+      <damageable> true </damageable>
       <model>models/spaceships/human_assf.obj, 1.5</model>
       <mountpoints>models/spaceships/human_assf.oif</mountpoints>
@@ -331,5 +371,5 @@
       <cameraFovy>90</cameraFovy>
       <Track>
-        <ActionBox>45, 25, 800, 6</ActionBox>
+        <ActionBox>45, 25, 500, 6</ActionBox>
         <mode>1</mode>
         <speed>45</speed>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4913)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4914)
@@ -45,11 +45,11 @@
 function explodeSpaceship(timestep)
 	explosion:setAbsCoor(Player:getAbsCoorX(),Player:getAbsCoorY(),Player:getAbsCoorZ())
-	--explosion:explode(boomSize,boomSize,boomSize)
+	explosion:explode(boomSize,boomSize,boomSize)
 	boomSize = boomSize + 4
 	if boomSize > 50 then
  		  triggerEndLevel:start()
 		  cameraManager:toggleFade()
-		  gameWorld:showText(":~# We have been hit...")
-		  gameWorld:showText(":~# Initialising emergency sequence!")
+		  gameWorld:showText(":/# We have been hit...")
+		  gameWorld:showText(":/# Initialising emergency sequence!")
 		return true
 	end