Index: orxonox/trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4920)
+++ orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4921)
@@ -103,5 +103,4 @@
   Quadtree* q = this->terrain->ssp->getQuadtree();
   q->getQuadtreeFromPosition(this->player->getAbsCoor());
-
 }
 
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4920)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4921)
@@ -162,10 +162,10 @@
     printf("-----------\nthe array coordinates are: %i, %i\n", i, j);
     printf("position: %f,%f, center %f, %f\n", position.x, position.z, this->nodes[i + j * max]->getDimension()->getCenter()->x, this->nodes[i + j * max]->getDimension()->getCenter()->z);
-    this->nodes[i + j * max]->drawTree(0,0);
+
+    //this->nodes[i + j * max]->draw();
     this->nodes[i + j * max]->includesPoint(position);
   }
   else
     printf("object has left terrain\n");
-
 }
 
@@ -179,5 +179,5 @@
   for(int i = 0; i < (int)pow(4, this->treeDepth); ++i)
   {
-    //this->nodes[i]->drawTree(0, 0);
+    this->nodes[i]->draw();
   }
 
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4920)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4921)
@@ -102,4 +102,5 @@
   this->offset = 0.0f;
   this->nodeIter = -1;
+  this->bDraw = false;
 
   this->parent = NULL;
@@ -366,4 +367,5 @@
   else
     printf("POINT IS NOT INSIEDE\n");
+  this->bDraw = true;
 }
 
@@ -379,6 +381,8 @@
     float h = 50.0f;
 
+    //printf("draw @ %f, %f to %f, %f", t1.x + ax, t1.z + ax, t1.x - ax, t1.z - ax);
+
+    this->quadtree->getMaterial(this->indexNode)->select();
     glBegin(GL_QUADS);
-    this->quadtree->getMaterial(this->indexNode)->select();
     glVertex3f(t1.x + ax, h - depth * 10.0f, t1.z + ax);
     glVertex3f(t1.x - ax, h - depth * 10.0f, t1.z + ax);
@@ -398,2 +402,26 @@
     this->nodeD->drawTree(depth - 1, drawMode);
 }
+
+void QuadtreeNode::draw() const
+{
+  if( likely(!bDraw))
+    return;
+  Vector t1 = *this->pDimension->getCenter();
+  float ax = this->pDimension->getAxis();
+  float h = 70.0f;
+
+    //printf("draw @ %f, %f to %f, %f", t1.x + ax, t1.z + ax, t1.x - ax, t1.z - ax);
+
+  glBegin(GL_QUADS);
+  this->quadtree->getMaterial(this->indexNode)->select();
+//   for( int i = 0; i < 50; ++i)
+//   {
+  int i = 0;
+    glVertex3f(t1.x + ax, h + 10.0f * i, t1.z + ax);
+    glVertex3f(t1.x - ax, h + 10.0f * i, t1.z + ax);
+    glVertex3f(t1.x - ax, h + 10.0f * i, t1.z - ax);
+    glVertex3f(t1.x + ax, h + 10.0f * i, t1.z - ax);
+//   }
+  glEnd();
+
+}
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4920)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4921)
@@ -35,4 +35,5 @@
 
     void drawTree(int depth, int drawMode) const;
+    void draw() const;
 
 
@@ -71,4 +72,6 @@
     modelInfo*                      pModelInfo;         //!< reference to the modelInfo of the object
     Rectangle*                      pDimension;         //!< pointer to the local rectangle properties
+
+    bool                            bDraw;              //!< shall it be drawn? DEBUG only
 };
 
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4920)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4921)
@@ -99,5 +99,5 @@
 Quadtree* SpatialSeparation::createQuadtree(AbstractModel* model)
 {
-  this->quadtree = new Quadtree(model->getModelInfo(), 4);
+  this->quadtree = new Quadtree(model->getModelInfo(), 5);
 
   return this->quadtree;
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4920)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4921)
@@ -828,10 +828,10 @@
       if( this->bQuitCurrentGame || this->bQuitOrxonox)
           break;
+      // Process collision
+      this->collide ();
       // Process time
       this->tick ();
       // Update the state
       this->update ();
-      // Process collision
-      this->collide ();
       // Draw
       this->display ();